package net.mcreator.puzzle_code.procedures;

import net.minecraft.core.Direction;

public class DirectionToNumberSystemProcedure {
	public static double execute(Direction direction) {
		if (direction == null)
			return 0;
		if (direction == Direction.DOWN) {
			return 0;
		} else if (direction == Direction.UP) {
			return 1;
		} else if (direction == Direction.NORTH) {
			return 2;
		} else if (direction == Direction.SOUTH) {
			return 3;
		} else if (direction == Direction.WEST) {
			return 4;
		} else if (direction == Direction.EAST) {
			return 5;
		}
		return 0;
	}
}
